<?php include UTILS_PATH."libs.php"?>
<?php include UTILS_PATH."requests.php"?>
<script src="<?=JS_ADMIN?>amcharts5/index.js"></script>
<script src="<?=JS_ADMIN?>amcharts5/locales/es_ES.js"></script>
<script src="<?=JS_ADMIN?>amcharts5/themes/Animated.js"></script>
<script src="<?=JS_ADMIN?>amcharts5/themes/Spirited.js"></script>
<script src="<?=JS_ADMIN?>amcharts5/hierarchy.js"></script>
<?php include "scripts".DIRECTORY_SEPARATOR."vue.components.php"?>
<script>
    const DV_MODULOS = "<?=MODULOS?>"
	document.addEventListener("DOMContentLoaded", function () {
		var elems2 = document.querySelectorAll('.modal');
		$('#selectTipoSubida').formSelect();
		var instances2 = M.Modal.init(elems2, {
			dismissible: false,
		});
    });
    
    <?php echo file_get_contents("scripts".DIRECTORY_SEPARATOR."vue.app.js", TRUE)?>

	$('.tooltipped').tooltip();
	var flagBanderaShida = true;
    var gauge;
    
	function cambiarAOscuro() {
        for (let i = 0; i < bla.length; i++) {
            bla[i].classList.remove('white');
            bla[i].classList.add('grey');
            bla[i].classList.add('lighten-1');
            bla[i].style.filter = 'invert(100%)';
        }
    }
    if (localStorage.getItem('background') == "black") {
        bla = document.getElementsByClassName('card-panel')
        bla = Array.prototype.slice.call(bla)
        cambiarAOscuro();
    }
</script>